<div class="content">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand">Rules</a>
        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
            <div class="navbar-nav">
                <li [routerLink]="['/create']" routerLinkActive="active" class="nav-item"><button type="button" class="btn btn-outline-secondary btn-sm">Create new rule</button></li>
            </div>
        </div>
    </nav>
    <div class="main-editor">
        <div class="content-window">
            <table class="table table-striped border rounded">
                <thead>
                <tr>
                    <th>Name</th>
                    <th>Last triggered</th>
                    <th class="text-end">Is Active</th>
                </tr>
                </thead>
                <tbody>
                <tr *ngFor="let rule of rules">
                    <td [innerHTML]="rule.name"></td>
                    <td>{{ rule.last_triggerd }}</td>

                    <td>
                        <button class="btn btn-sm button-del" (click)="postData(rule)" [class.btn-success]="rule.is_active" [class.btn-danger]="!rule.is_active">
                            <span *ngIf="rule.is_active">Active</span>
                            <span *ngIf="!rule.is_active">Inactive</span>
                        </button>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>


